Subject: Fw: [Bug 56521] New: No support of Motorola ZN5 USBnet in zaurus module

From: Stephen Hemminger <[email-masked]>
Date: Fri, 12 Apr 2013 08:32:59 -0700

Begin forwarded message:

Date: Fri, 12 Apr 2013 07:27:18 -0700
From: "bugzilla-daemon-590EEB7GvNiWaY/[email-masked]" <bugzilla-daemon-590EEB7GvNiWaY/[email-masked]>
To: "[email-masked]" <[email-masked]>
Subject: [Bug 56521] New: No support of Motorola ZN5 USBnet in zaurus module

https://bugzilla.kernel.org/show_bug.cgi?id=56521

           Summary: No support of Motorola ZN5 USBnet in zaurus module
           Product: Networking
           Version: 2.5
    Kernel Version: 3.7.5
          Platform: All
        OS/Version: Linux
              Tree: Mainline
            Status: NEW
          Severity: normal
          Priority: P1
         Component: Other
        AssignedTo: shemminger-de/[email-masked]
        ReportedBy: [email-masked]
        Regression: No

Created an attachment (id=98391)
 --> (https://bugzilla.kernel.org/attachment.cgi?id=98391)
zaurus.patch

I've tried to plug my phone via USBnet, but zaurus module is not loaded,
because kernel can't detect it as zaurus-like device.

I looked to dmesg and found that:

[ 7880.799111] usb 1-1: new high-speed USB device number 5 using ehci_hcd
[ 7880.957767] usb 1-1: New USB device found, idVendor=22b8, idProduct=6424
[ 7880.957771] usb 1-1: New USB device strings: Mfr=3, Product=2,
SerialNumber=0
[ 7880.957774] usb 1-1: Product: ZN5
[ 7880.957777] usb 1-1: Manufacturer: Motorola Inc.
[ 7881.646079] usb 1-1: bad CDC descriptors
[ 7881.646100] usbcore: registered new interface driver cdc_ether

In source file I don't found my idProduct=6424, but found support of Motorola
MOTOMAGX Phones with idProduct=6425

I added in drivers/net/usb/zaurus.c idProduct of my phone and it works
perfectly and without any errors or warnings. 

Attachment contains patch for zaurus.c. Please, add it to kernel. 

P.S. Sorry for my English, I know it bad. =(

-- 
Configure bugmail: https://bugzilla.kernel.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.
--
To unsubscribe from this list: send the line "unsubscribe linux-usb" in
the body of a message to [email-masked]
More majordomo info at  http://vger.kernel.org/majordomo-info.html